<?php
/**
 * FeedGeorge public function
 * 
 * @package FeedGeorge_Wordpress_PLUGIN
 * @author CH Foo
 * @copyright 2011 FeedGeorge.com
 * @access public
 */
function show_fgeorge_map($height = 300) {
	global $fg_geo;
	
	echo $fg_geo->get_map($height);
}

function show_op_list($val,$return=false) {
	global $fg_admin;
	
	if ($return)
		return $fg_admin->get_op_list($val);
	else
		echo $fg_admin->get_op_list($val);
}

function getAddress($latitude, $longitude) {
		$url = "http://maps.google.com/maps/api/geocode/json?latlng=".$latitude.",".$longitude."&sensor=false";
		$result = wp_remote_get($url);
		
		if ($result['body']) {
			$json = json_decode($result['body']);
			$result = $json->results[0];
			
			if (isset($result->address_components)) {
				foreach($result->address_components as $addressPart) {
					
					if((in_array('locality', $addressPart->types)) && (in_array('political', $addressPart->types)))
						$city = $addressPart->long_name;
					else if((in_array('administrative_area_level_1', $addressPart->types)) && (in_array('political', $addressPart->types)))
						$state = $addressPart->long_name;
					else if((in_array('country', $addressPart->types)) && (in_array('political', $addressPart->types)))
						$country = $addressPart->long_name;
					
					else if (in_array('route', $addressPart->types)) {
						
						$route =  $addressPart->long_name;
					}
					else if (in_array('street_number', $addressPart->types)) {
						 $str_number = $addressPart->long_name;
					}
					else if (in_array('postal_code', $addressPart->types)) {
						 $postcode = $addressPart->long_name;
					}
				}
				
				if (!empty($str_number))
					$address = $str_number . ' ';
				
				if (!empty($route))
					$address .= $route . ' ';
			}
		}
		
		return array($address,$city,$country,$postcode);
}


?>